Bug 110901 - CAN-2003-0967/8 FreeRadius remote DoS
Summary: CAN-2003-0967/8 FreeRadius remote DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: freeradius (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL: http://marc.theaimsgroup.com/?l=bugtr...
Whiteboard:
Keywords:
: 111503 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-25 12:48 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 16:56:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:386 normal SHIPPED_LIVE Moderate: freeradius security update 2003-12-10 05:00:00 UTC

Description Mark J. Cox 2003-11-25 12:48:06 UTC
A remote DoS in FreeRadius was reported on Bugtraq Nov20 (up to
version 0.9.2):

A RADIUS attribute which has a 'tag' (RFC 2868), and is of type
'string', and which is 2-3 octets long, may cause the server to call
'memcpy' with a length argument of '-1'.

CVE name requested

Affects: 3AS 3ES

Comment 1 Mark J. Cox 2003-11-27 09:48:43 UTC
CAN-2003-0967

rad_decode in FreeRADIUS 0.9.2 and earlier allows remote attackers to
cause a denial of service (crash) via a short RADIUS string attribute
with a tag, which causes memcpy to be called with a -1 length
argument, as demonstrated using the Tunnel-Password attribute.

CAN-2003-0968 

Stack-based buffer overflow in SMB_Logon_Server of the rlm_smb
experimental module for FreeRADIUS 0.9.3 and earlier allows remote
attackers to execute arbitrary code via a long User-Password
attribute.

(note the latter is only in an experimental non-default module)

Comment 2 Mark J. Cox 2003-12-07 21:30:48 UTC
errata in progress, currently in QA

Comment 3 Mark J. Cox 2003-12-07 21:31:14 UTC
*** Bug 111503 has been marked as a duplicate of this bug. ***

Comment 4 Mark J. Cox 2003-12-10 16:56:53 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-386.html



Note You need to log in before you can comment on or make changes to this bug.